package com.njcn.prepare.harmonic.pojo.mysql.po.line;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;

import java.util.Date;

/**
 * Description:
 * 接口文档访问地址：http://serverIP:port/swagger-ui.html
 * Date: 2023/2/28  15:38【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
@TableName(value = "r_mp_pass_rate_q")
public class RMpPassRateQPO {
    /**
     * 监测点ID
     */
    @MppMultiId(value = "measurement_point_id")
    private String measurementPointId;

    /**
     * 生成数据的时间,每季统计一次
     */
    @MppMultiId(value = "data_date")
    private Date dataDate;

    /**
     * 频率偏差合格率
     */
    @TableField(value = "freq_pass_rate")
    private Double freqPassRate;

    /**
     * 电压偏差合格率
     */
    @TableField(value = "v_dev_pass_rate")
    private Double vDevPassRate;

    /**
     * 闪变合格率
     */
    @TableField(value = "flicker_pass_rate")
    private Double flickerPassRate;

    /**
     * 获取监测点ID
     *
     * @return measurement_point_id - 监测点ID
     */
    public String getMeasurementPointId() {
        return measurementPointId;
    }

    /**
     * 设置监测点ID
     *
     * @param measurementPointId 监测点ID
     */
    public void setMeasurementPointId(String measurementPointId) {
        this.measurementPointId = measurementPointId;
    }

    /**
     * 获取生成数据的时间,每季统计一次
     *
     * @return data_date - 生成数据的时间,每季统计一次
     */
    public Date getDataDate() {
        return dataDate;
    }

    /**
     * 设置生成数据的时间,每季统计一次
     *
     * @param dataDate 生成数据的时间,每季统计一次
     */
    public void setDataDate(Date dataDate) {
        this.dataDate = dataDate;
    }

    /**
     * 获取频率偏差合格率
     *
     * @return freq_pass_rate - 频率偏差合格率
     */
    public Double getFreqPassRate() {
        return freqPassRate;
    }

    /**
     * 设置频率偏差合格率
     *
     * @param freqPassRate 频率偏差合格率
     */
    public void setFreqPassRate(Double freqPassRate) {
        this.freqPassRate = freqPassRate;
    }

    /**
     * 获取电压偏差合格率
     *
     * @return v_dev_pass_rate - 电压偏差合格率
     */
    public Double getvDevPassRate() {
        return vDevPassRate;
    }

    /**
     * 设置电压偏差合格率
     *
     * @param vDevPassRate 电压偏差合格率
     */
    public void setvDevPassRate(Double vDevPassRate) {
        this.vDevPassRate = vDevPassRate;
    }

    /**
     * 获取闪变合格率
     *
     * @return flicker_pass_rate - 闪变合格率
     */
    public Double getFlickerPassRate() {
        return flickerPassRate;
    }

    /**
     * 设置闪变合格率
     *
     * @param flickerPassRate 闪变合格率
     */
    public void setFlickerPassRate(Double flickerPassRate) {
        this.flickerPassRate = flickerPassRate;
    }
}